console.log('Iniciando PJe-Admissibilidade e PJe-Gestão.');

const listaTRTsAdmissibilidade = ['trt13', 'trt7', 'trt20'];
const listaTRTsGestao = ['trt13', 'trt6', 'trt19'];

const menuLateralSelector = "body > pje-root > mat-sidenav-container > mat-sidenav-content > div > pje-menu-lateral > nav";
waitForKeyElements(menuLateralSelector, function() {
    const url = window.location.href;

    // PJe-Admissibilidade
    if (listaTRTsAdmissibilidade.some(trt => window.location.href.includes(trt))) {
        const controlador = new AdmissibilidadeControlador();
        controlador.acrescentarBotaoAdmissibilidade(menuLateralSelector);
    }

    // PJe-Gestão
    if (listaTRTsGestao.some(trt => window.location.href.includes(trt))) {
        main();
    }
});

const menuLateralSelectorAdmissibilidade = "body > pje-app-root > div > pje-app-execucao > div > div > execucao";
if (window.location.href.includes('pjeadmissibilidade')) {
    console.log('Iniciando PJe-Admissibilidade.');
    waitForKeyElements(menuLateralSelectorAdmissibilidade, function () {
        const url = window.location.href;
        console.log('Iniciou pjeadmissibilidade.');
        // PJe-Admissibilidade
        if (listaTRTsAdmissibilidade.some(trt => window.location.href.includes(trt))) {
            const controlador = new AdmissibilidadeControlador();
            controlador.acrescentarBotaoAdmissibilidade(menuLateralSelectorAdmissibilidade);
        }
    });
}

// Ícone do Admissibilidade na listagem de processos em Triagem (apenas 2o grau)
// const listaProcessosSelectorAdmissibilidade = "body > pje-app-root > div > pje-app-execucao > div > div > execucao";
// if (window.location.href.includes('lista-processos')) {
//     console.log('Colocando ícones do Admissibilidade nos processos.');
//     waitForKeyElements(listaProcessosSelectorAdmissibilidade, function () {
//         const url = window.location.href;
//         console.log('Iniciou pjeadmissibilidade na lista de processos.');
//         // PJe-Admissibilidade
//         if (listaTRTsAdmissibilidade.some(trt => window.location.href.includes(trt))) {
//             const controlador = new AdmissibilidadeControlador();
//             controlador.acrescentarBotaoAdmissibilidade(menuLateralSelectorAdmissibilidade);
//         }
//     });
// }

